<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:app="http://schemas.android.com/apk/res-auto"
	xmlns:tools="http://schemas.android.com/tools"
	android:layout_width="match_parent"
	android:layout_height="match_parent"
	android:background="@color/primary_bg"
	tools:context=".PuzzleBoardFragment">

	<LinearLayout
		android:layout_width="match_parent"
		android:layout_height="match_parent"
		android:background="@color/blure"
		android:orientation="vertical"
		tools:layout_editor_absoluteX="1dp"
		tools:layout_editor_absoluteY="1dp">

		<LinearLayout
			android:layout_width="match_parent"
			android:layout_height="wrap_content"
			android:layout_weight="0"
			android:orientation="horizontal">

			<TextView
				android:id="@+id/level_text"
				android:layout_width="wrap_content"
				android:layout_height="wrap_content"
				android:layout_weight="0"
				android:gravity="center_vertical"
				android:paddingLeft="5dp"
				android:textColor="@color/puzzle_title"
				android:textScaleX="1"
				android:textSize="40dp"
				android:textStyle="bold"
				android:typeface="normal"
				android:text="Level"/>

			<TextView
				android:id="@+id/level_number"
				android:layout_width="wrap_content"
				android:layout_height="match_parent"
				android:layout_weight="0"
				android:paddingLeft="10dp"
				android:textColor="@color/puzzle_title"
				android:textScaleX="1"
				android:textSize="40dp"
				android:textStyle="bold"
				android:typeface="normal"
				android:text="XX" />

			<View
				android:id="@+id/view"
				android:layout_width="1dp"
				android:layout_height="match_parent"
				android:layout_weight="1" />

			<Button
				android:id="@+id/btn_test"
				android:layout_width="wrap_content"
				android:layout_height="match_parent"
				android:layout_gravity="center_vertical"
				android:layout_weight="0"
				android:background="@color/transparent"
				android:scaleType="fitCenter"
				android:text="test" />


			<ImageButton
				android:id="@+id/btn_prev"
				android:contentDescription="Previous Puzzle"
				android:layout_width="wrap_content"
				android:layout_height="wrap_content"
				android:layout_gravity="center_vertical"
				android:layout_margin="0dp"
				android:layout_weight="0"
				android:background="@color/transparent"
				android:scaleType="fitCenter"
				android:src="@drawable/prev" />


			<ImageButton
                android:src="@drawable/next"
				android:contentDescription="Next Puzzle"
              	android:scaleType="fitCenter"
				android:layout_width="wrap_content"
				android:layout_height="wrap_content"
              	android:layout_gravity="center_vertical"
              	android:layout_weight="0"
              	android:layout_margin="0dp"
				android:background="@color/transparent"
                android:id="@+id/btn_next"/>

			<ImageButton
				android:id="@+id/btn_reset"
				android:contentDescription="Reset Puzzle"
				android:layout_width="wrap_content"
				android:layout_height="wrap_content"
				android:layout_gravity="center_vertical"
				android:layout_margin="0dp"
				android:layout_weight="0"
				android:background="@color/transparent"
				android:scaleType="fitCenter"
				android:src="@drawable/reset" />

			<ImageButton
				android:id="@+id/btn_undo"
				android:contentDescription="Undo the last move."
				android:layout_width="wrap_content"
				android:layout_height="wrap_content"
				android:layout_gravity="center_vertical"
				android:layout_margin="3dp"
				android:layout_weight="0"
				android:background="@color/transparent"
				android:scaleType="fitCenter"
				android:src="@drawable/undo"
				tools:visibility="visible" />
		</LinearLayout>

<!--		<View-->
<!--			android:layout_width="0dp"-->
<!--			android:layout_height="match_parent"-->
<!--			android:layout_weight="1" />-->

		<org.vostan.banvor.board.PuzzleControl
			android:id="@+id/game_board"
			android:contentDescription="The game board."
			android:layout_width="match_parent"
			android:layout_height="wrap_content"
			android:layout_weight="1"
			 />


</LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>

